This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 974343 - Review Request: nodejs-asn1 - Contains parsers and serializers for ASN.1 (currently BER only)
Review Request: nodejs-asn1 - Contains parsers and serializers for ASN.1 (cur...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jamie Nguyen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 968919 974350
  Show dependency treegraph
 
Reported: 2013-06-13 23:41 EDT by T.C. Hollingsworth
Modified: 2013-07-08 16:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: nodejs-asn1-0.1.11-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-23 17:26:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jamielinux: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-06-13 23:41:06 EDT
Spec: http://patches.fedorapeople.org/npm/nodejs-asn1.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-asn1-0.1.11-1.fc19.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5501462
FAS:  patches
Description:
nodejs-asn1 is a library for encoding and decoding ASN.1 datatypes in pure 
JavaScript. Currently BER encoding is supported; at some point DER will likely
be supported.
Comment 1 Jamie Nguyen 2013-06-20 18:36:10 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

> nodejs-asn1.noarch: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases

Either space or dash needed here. Other warnings ignorable.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-asn1-0.1.11-1.fc20.noarch.rpm
nodejs-asn1.noarch: W: spelling-error Summary(en_US) parsers -> parser, parses, parers
nodejs-asn1.noarch: W: spelling-error Summary(en_US) serializers -> serializes, serialize rs, serialize-rs
nodejs-asn1.noarch: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
nodejs-asn1.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-asn1
nodejs-asn1.noarch: W: spelling-error Summary(en_US) parsers -> parser, parses, parers
nodejs-asn1.noarch: W: spelling-error Summary(en_US) serializers -> serializes, serialize rs, serialize-rs
nodejs-asn1.noarch: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
nodejs-asn1.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-asn1 (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-asn1:
    nodejs-asn1
    npm(asn1)



Source checksums
----------------
http://registry.npmjs.org/asn1/-/asn1-0.1.11.tgz :
  CHECKSUM(SHA256) this package     : 7206eadc8a9344e484bcce979e22a12c9fa64c1395aa0544b8b767808b268f43
  CHECKSUM(SHA256) upstream package : 7206eadc8a9344e484bcce979e22a12c9fa64c1395aa0544b8b767808b268f43


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-asn1-0.1.11-1.fc19.src.rpm
Comment 2 Jamie Nguyen 2013-06-20 18:38:10 EDT
Also, in the full description (not the summary), I think it would be good to expand the ASN.1, BER and DER abbreviations (followed by the acronym in brackets).
Comment 3 Jamie Nguyen 2013-06-20 18:50:03 EDT
Assuming you fix the one issue, package approved!

(I'll leave it up to you if you want to expand those abbreviations.)
Comment 4 T.C. Hollingsworth 2013-06-20 20:38:27 EDT
I expanded the abbreviations and also added an explanation of what ASN.1 actually is:

%description
nodejs-asn1 is a library for encoding and decoding Abstract Syntax Notation One
(ASN.1) datatypes in pure JavaScript. ASN.1 is  is a standard and notation that 
describes rules and structures for representing, encoding, transmitting, and 
decoding data in telecommunications and computer networking.

Currently Basic Encoding Rules (BER) encoding is supported; at some point 
Distinguished Encoding Rules (DER) will likely also be supported.

--

Spec: http://patches.fedorapeople.org/npm/nodejs-asn1.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-asn1-0.1.11-2.fc19.src.rpm

* Fri Jun 21 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.11-2
- improve description
Comment 5 T.C. Hollingsworth 2013-06-20 20:41:03 EDT
New Package SCM Request
=======================
Package Name: nodejs-asn1
Short Description: Contains parsers and serializers for ASN.1 (currently BER only)
Owners: patches jamielinux
Branches: f19 f18 el6
InitialCC:
Comment 6 Jon Ciesla 2013-06-21 08:06:30 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-06-22 04:58:54 EDT
nodejs-asn1-0.1.11-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-asn1-0.1.11-2.fc19
Comment 8 Fedora Update System 2013-06-22 04:59:27 EDT
nodejs-asn1-0.1.11-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-asn1-0.1.11-2.fc18
Comment 9 Fedora Update System 2013-06-22 14:15:52 EDT
nodejs-asn1-0.1.11-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-06-23 03:04:55 EDT
nodejs-asn1-0.1.11-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-asn1-0.1.11-2.el6
Comment 11 Fedora Update System 2013-07-01 20:24:41 EDT
nodejs-asn1-0.1.11-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 12 Fedora Update System 2013-07-01 20:31:07 EDT
nodejs-asn1-0.1.11-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 13 Fedora Update System 2013-07-08 16:09:45 EDT
nodejs-asn1-0.1.11-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.